Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class MakeAgentAvailableEvent

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.msk.model.MakeAgentAvailableEvent

All Implemented Interfaces:
  Comparable<Event>

    public final class MakeAgentAvailableEvent

extends Event

Represents an event occuring when a disconnected agent becomes available again.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`MakeAgentAvailableEvent(CallCenter model, Agent agent)` Constructs an event making the agent `agent` in the model `model` available when it occurs.

Method Summary
`void` | `actions()`
`Agent` | `getAgent()` Returns the agent associated with this event.
`CallCenter` | `getCallCenter()` Returns the model associated with this event.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, cancel, compareTo, getRa, priority, reschedule, schedule, scheduleAfter, scheduleBefore, scheduleNext, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MakeAgentAvailableEvent

    public MakeAgentAvailableEvent(CallCenter model,
                                   Agent agent)

  Constructs an event making the agent `agent` in the model `model` available when it occurs.

  Parameters:
    `model` - the model the agent belongs to.
    `agent` - the agent that will be made available.

Method Detail

### getCallCenter

    public CallCenter getCallCenter()

  Returns the model associated with this event.

  Returns:
    the associated model.

### getAgent

    public Agent getAgent()

  Returns the agent associated with this event.

  Returns:
    the associated agent.

### actions

    public void actions()

  Specified by:
    `actions` in class `Event`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.